/*
Пример использования
Получение списка аудитов
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_cb_audit_list" "al" {
  #фильтр по аудитам с временной меткой после указанного значения
  #опциональный параметр
  #тип - целое число
  #timestamp_at = 123456

  #фильтр по аудитам с временной меткой до указанного значения
  #опциональный параметр
  #тип - целое число
  #timestamp_to = 123456

  #фильтр по пользователю (Mongo RegExp поддерживаются)
  #опциональный параметр
  #тип - строка
  #user = "username"

  #фильтр по api endpoint (Mongo RegExp поддерживаются)
  #опциональный параметр
  #тип - строка
  #call = "/restmachine/cloudbroker/audit/list"

  #фильтр по минимальному HTTP статус-коду
  #опциональный параметр
  #тип - целое число
  #min_status_code = 200

  #фильтр по максимальному HTTP статус-коду
  #опциональный параметр
  #тип - целое число
  #max_status_code = 500

  #сортировка по одному из поддерживаемых полей
  #опциональный параметр
  #формат - "+поле" по возрастанию / "-поле" по убыванию
  #тип - строка
  #sort_by = "+name"

  #номер страницы для отображения
  #опциональный параметр
  #тип - целое число
  #page = 2

  #идентификатор запроса 
  #опциональный параметр 
  #тип - строка
  #request_id = "35" 

  #размер страницы
  #опциональный параметр
  #тип - целое число
  #size = 3

}

output "test" {
  value = data.decort_cb_audit_list.al
}
