/*
Пример использования
Получение списка нод платформы
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_cb_node_list" "nodes" {
  #фильтр по id ноды
  #опциональный параметр
  #тип - целое число
  #by_id = 1234

  #фильтр по имени ноды
  #опциональный параметр
  #тип - строка
  #name = "node1"

  #фильтр по версии ноды
  #опциональный параметр
  #тип - строка
  #version = "version1"

  #фильтр по релизу ноды
  #опциональный параметр
  #тип - строка
  #release = "release1"

  #фильтр по sep id
  #опциональный параметр
  #тип - целое число
  #sep_id = 12

  #фильтр по ролям ноды
  #опциональный параметр
  #тип - строка
  #role = "service"

  #фильтр по статусу ноды
  #опциональный параметр
  #тип - строка
  #status = "disabled"

  #сортировка по одному из поддерживаемых полей
  #опциональный параметр
  #тип - строка
  #формат - "+поле" по возрастанию / "-поле" по убыванию
  #sort_by = "+name"

  #номер страницы для отображения
  #опциональный параметр
  #тип - целое число
  #page = 2

  #размер страницы
  #опциональный параметр
  #тип - целое число
  #size = 3
}

output "test" {
  value = data.decort_cb_node_list.nodes
}
