Функция доступна в провайдере версии 3.2 и выше.

_Data source_ функция **decort_disk_list_types** служит для получения информации о типах диска.

## Аргументы
_Data source_ функция **decort_disk_list_types** принимает следующие аргументы:

| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- | 
| page | int | :x: | Номер страниц |
| size | int | :x: | Размер страницы |

## Возвращаемые значения
В случае успешного выполнения _data source_ функция **decort_disk_list_types** возвращает в указанную при вызове переменную, в поле _types_, массив, состоящий из строк, описывающих поддерживаемые в платформе типы дисков:

| Тип | Значение |
| --- | --- |
| B | Загрузочный тип диска|
| D | Диск для хранения данных |

## Пример использования
Пример вызова _data source_ функции **decort_disk_list_types**:
```terraform
data "decort_disk_list_types" "dt" {
  #номер страницы для отображения
  #опциональный параметр
  #тип - число
  #если не задан - выводятся все доступные данные
  #page = 2

  #размер страницы
  #опциональный параметр
  #тип - число
  #если не задан - выводятся все доступные данные
  #size = 3
}

```

После успешного завершения такого вызова **decort_disk_list_types** в переменной `data.decort_disk_list_types.dt` будут сохранены возвращаемые значения.
