Функция доступна в провайдере версии 4.5.1 и выше.

_Data source_ функция **decort_cb_grid_list_emails** служит для получения списка email-адресов пользователей в облачной платформе grid. Grid это пространства, на которых возможно размещение виртуальных машин.

## Аргументы

_Data source_ функция **decort_cb_grid_list_emails** принимает следующие аргументы:

| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- |
| page | int | :x: | Номер страниц |
| size | int | :x: | Размер страницы |

## Возвращаемые значения

В случае успешного выполнения _data source_ функция **decort_cb_grid_list_emails** возвращает в указанную при вызове переменную следующий параметр:

| Параметр | Тип | Описание |
| --- | --- | --- |
| items | []string | Список email-адресов пользователей |

## Пример использования

Пример вызова _data source_ функции **decort_cb_grid_list_emails**:

```terraform
data "decort_cb_grid_list_emails" "gle" {
  #номер страницы для отображения
  #опциональный параметр
  #если не задан - выводятся все доступные данные
  #тип - целое число
  #page = 2

  #размер страницы
  #опциональный параметр
  #если не задан - выводятся все доступные данные
  #тип - целое число
  #size = 3
}
```

Данный пример подразумевает, что ранее по тексту tf-файла выполнена корректная инициализация провайдера (подробнее об инициализации Terraform провайдера DECORT см. соответствующий [раздел](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.6.0/04.02-Инициализация-Terraform-провайдера-DECORT.md)).

После успешного завершения такого вызова **decort_cb_grid_list_emails** в переменной `data.decort_cb_grid_list_emails.gle` будут сохранены возвращаемые значения.
