Функция доступна в провайдере версии 4.4.0 и выше.

_Data source_ функция **decort_vins_static_route_list** служит для получения информации о списке статических путей

## Аргументы
_Data source_ функция **decort_vins_static_route_list** принимает следующие аргументы:

| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- |
| vins_id | int | :heavy_check_mark: | ID VINS |

## Возвращаемые значения

В случае успешного выполнения _data source_ функция **decort_vins_static_route_list** возвращает в указанную при вызове переменную, в поле items массив, каждый элемент которого состоит из следующих параметров:

| Параметр | Тип | Описание |
| --- | --- | --- |
| destination | string | IP целевой сети |
| gateway | string | IP шлюза |
| guid | string | guid ресурса |
| netmask | string | сетевая маска |
| compute_ids | []int | Список ID compute, которым предоствавлен доступ |
| route_id | int | ID статического пути |

## Пример использования

```terraform
data "decort_vins_static_route_list" "list" {
  #обязательный параметр
  #id vins в котором добавлены routes
  #тип - целое число
  vins_id = 1111
}
```

После успешного завершения такого вызова **decort_vins_static_route_list** в переменной `data.decort_vins_static_route_list.list` будут сохранены возвращаемые значения.
