## Сборка terraform провайдера
### Требования:
- Docker
- git
- Компилятор языка GO версии 1.20
- make
### Установка необходимых программ
1. Компилятор языка GO можно скачать и установить по ссылке: https://go.dev/dl/
2. Docker можно скачать и установить по ссылке выше.
3. Git можно скачать и установить по ссылке: https://git-scm.com/
4. Программа make входит в пакет установленных программ для ОС Linux.
### Порядок действий
1. Склонировать репозиторий с провайдером:
```bash
git clone https://github.com/rudecs/terraform-provider-decort.git
```
2. Перейти в директорию со скачанным кодом:
```bash
cd terraform-provider-decort
```
3. Выполнить команду:
> Сборка на ОС windows может привести к ошибкам.

> Перед сборкой следует проверить переменные окружения go. Параметр `CGO_ENABLED` должен быть равным 0.

Для сборки под свою ОС
```bash
make build
```
Для сборки под все поддерживаемые ОС
```bash
make release
```
В результате выполнения данной последовательности, будет создан исполняемый файл terraform провайдера.
