## Version 4.9.0

### Добавлено

#### account
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-823 | Опциональное поле `desc` в resource `decort_account` в cloudapi/account, в resource  `decort_cb_account` в cloudbroker/account |
| BATF-823 | Вычисляемое поле `desc` в datasources `decort_cb_account_list` , `decort_cb_account_list_deleted`, `decort_cb_account`, `decort_cb_account_rg_list` в cloudbroker/account, в datasources `decort_account`, `decort_account_list`, `decort_account_deleted_list`, `decort_account_rg_list` в cloudapi/account |
| BATF-832 | Опциональное поле `reason` в resource `decort_cb_account` в cloudbroker/account и в resource `decort_account` в cloudapi/account|

#### audit
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-826 | Опциональное поле `request_id` в datasource `decort_cb_audit_list` в cloudbroker/audit |
| BATF-836 | Вычисляемое поле `physical_node` в datasource `decort_cb_audit_linked_jobs` в cloudbroker/audit |
| BATF-870 | Вычисляемое поле `ttl` в datasource `decort_cb_audit` и вычисляемые поля `ttl`, `args`, `kwargs`, `result`, `timestamp_end`, `remote_addr` и `tags` в datasource `decort_cb_audit_list` в cloudbroker/audit |

#### bservice
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-833 | Опциональное поле `chipset` в resource `decort_bservice_group` в cloudapi/bservice |

#### disks
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-873 | Вычисляемые поля `size_available`, `updated_by`, `deleted_by`, `created_by`, `updated_time` и `milestones` в datasource `decort_disk_list` и `decort_disk_list_deleted` в cloudapi/disks |
| BATF-873 | Вычисляемые поля `size_available`, `updated_by`, `deleted_by`, `created_by`, `updated_time`, `machine_id`, `machine_name` и `milestones` в datasource `decort_disk` в cloudapi/disks и в datasource  `decort_cb_disk` в cloudbroker/disks |
| BATF-873 | Вычисляемые поля `size_available`, `updated_by`, `deleted_by`, `created_by` и `updated_time` в datasource `decort_cb_disk_list` в cloudbroker/disks |
| BATF-873 | Вычисляемые поля `machine_id`, `machine_name`, `updated_by`, `deleted_by`, `created_by` и `updated_time` в resource `decort_disk` в cloudapi/disks и в resource `decort_cb_disk` в cloudbroker/disks |

#### extnet
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-861 | Опциональное поле `ovs_bridge` в datasource `decort_extnet_list` в cloudapi/extnet |
| BATF-856 | Вычисляемое поле `ntp` в datasource `decort_extnet` в cloudapi/extnet и в datasource `decort_cb_extnet` в cloudbroker/extnet |

#### image
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-831 | Вычисляемое поле `snapshot_id` в datasource `decort_image` и resource `decort_image`, `decort_image_from_blank_compute`, `decort_image_from_platform_disk`, `decort_image_virtual` в cloudapi/image |

#### k8s
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-823 | Вычисляемое поле `desc` в datasources `decort_k8s`, `decort_k8s_list` в cloudapi/k8s|

#### kvmvm
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-828 | Опциональное поле `stack_name` в datasource `decort_cb_kvmvm_list` в cloudbroker/kvmvm |
| BATF-828 | Вычисляемое поле `stack_name` в datasource `decort_cb_kvmvm_list_deleted` в cloudbroker/kvmvm |
| BATF-829 | Опциональные поля `loader_type`, `boot_type`, `hot_resize`, `network_interface_naming` в resource `decort_kvmvm` в cloudapi/kvmvm и resource `decort_cb_kvmvm` в cloudbroker/kvmvm|
| BATF-829 | Вычисляемые поля `loader_type`, `boot_type`, `hot_resize`, `network_interface_naming` в datasources `decort_kvmvm`, `decort_kvmvm_list`, `decort_kvmvm_list_deleted` в cloudapi/kvmvm и datasources `decort_cb_kvmvm`, `decort_cb_kvmvm_list`, `decort_cb_kvmvm_list_deleted` в cloudbroker/kvmvm|
| BATF-830 | Вычисляемое поле `present_to` в resources `decort_cb_kvmvm` в cloudbroker/kvmvm и `decort_kvmvm` в cloudapi/kvmvm |
| BATF-837 | Вычисляемое поле `nid` в datasource `decort_cb_kvmvm_list` в cloudbroker/kvmvm |
| BATF-866 | Вычисляемое поле `size_available` в datasources `decort_cb_kvmvm` в cloudbroker/kvmvm и `decort_kvmvm` в cloudapi/kvmvm |

#### location
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-896 | Опциональное поле `sdn_support` в datasource `decort_locations_list` в cloudapi/location |

#### sep
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-822 | Datasources `decort_sep_and_pools_available_list` в cloudapi/sep и datasource `decort_cb_sep_and_pools_available_list` в cloudbroker/sep |
| BATF-839 | Datasource `decort_cb_sep_template` в cloudbroker/sep |

#### vins
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-821 | Опциональное поле `status` в datasource `decort_vins_list` в cloudapi/vins  и  datasource  `decort_cb_vins_list` в cloudbroker/vins |

### Исправлено

#### disks
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-819 | Изменен тип поля `type` с Optional на Computed в resource `decort_disk` в cloudapi/disks  и  resource  `decort_cb_disk` в cloudbroker/disks |
| BATF-830 | Изменен тип поля `present_to` с []int на map[string]int в datasources `decort_disk`, `decort_disk_list`, `decort_disk_replication`, в resources `decort_disk`, `decort_disk_replication` в cloudapi/disks, в datasources `decort_cb_disk`, `decort_cb_disk_replication`, `decort_cb_disk_list`, `decort_cb_disk_list_deleted`, `decort_cb_disk_list_unattached` и resources `decort_cb_disk`, `decort_cb_disk_replication` в cloudbroker/disks |
| BATF-835 | Изменен тип поля `gid` с Required на Computed в resource `decort_disk` в cloudapi/disks  и  resource  `decort_cb_disk` в cloudbroker/disks |

#### image
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-830 | Изменен тип поля `present_to` с []int на map[string]int в datasource `decort_image`, resource `decort_virtual_image`, `decort_image_from_platform_disk`, `decort_image`, `decort_image_from_blank_compute` в cloudapi/image, в datasource `decort_cb_image` и resources `decort_cb_cdrom_image`, `decort_cb_virtual_image`, `decort_cb_image`, `decort_cb_image_from_blank_compute`, `decort_cb_image_from_platform_disk` в cloudbroker/image |
| BATF-835 | Изменен тип поля `gid` с Required на Computed в resource `decort_cb_image` и `decort_cb_image_cdrom` в cloudbroker/image |
| BATF-874 | Изменено возможное для ввода значение с `other` на `unknown` для поля `type` в resources `decort_image_from_blank_compute`, `decort_image_from_platform_disk`, `decort_image` в cloudapi/image и для поля `image_type` в resources `decort_cb_image_from_blank_compute`, `decort_cb_image_from_platform_disk` в cloudbroker/image|
| BATF-917 | Изменен тип поля `sep_id` с Optional на Computed в resource `decort_image_from_blank_compute`, `decort_image_from_platform_disk` в cloudapi/image и resources `decort_cb_image_from_blank_compute`, `decort_cb_image_from_platform_disk` в cloudbroker/image|

#### kvmvm
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-830 | Изменен тип поля `present_to` с []int на map[string]int в datasources `decort_kvmvm` в cloudapi/kvmvm и `decort_cb_kvmvm` в cloudbroker/kvmvm|
| BATF-859 | Изменен тип поля `pinned` с bool на int в resource `decort_cb_kvmvm` и data sources `decort_cb_kvmvm`, `decort_cb_kvmvm_list` и `decort_cb_kvmvm_list_deleted` в cloudbroker/kvmvm |
| BATF-868 | Изменен тип поля `mac` с computed на optional/computed в resources `decort_kvmvm`, `decort_cb_kvmvm` в cloudapi/kvmvm и cloudbroker/kvmvm|
| BATF-897 | Убраны ограничения по количеству сетей и дисков в resources `decort_kvmvm`, `decort_cb_kvmvm` в cloudapi/kvmvm и cloudbroker/kvmvm|
| BATF-919 | Изменено поведение ВМ при удалении дисков из поля `extra_disks`, теперь ВМ не останавливатся при отключении дисков |
| BATF-928 | Изменен тип поля `vgpus` c []int на []struct в resource `decort_kvmvm`, datasource `decort_kvmvm` в cloudapi/kvmvm  и  resource  `decort_cb_kvmvm`, datasource `decort_cb_kvmvm` в cloudbroker/kvmvm |

#### vins
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-881 | Исправлена ошибка создания resource `decort_vins` с указанным блоком `ext_net` в cloudapi/vins |

### Удалено

#### account
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-922 | Обязательное поле `username` в resource `decort_account` в cloudapi/account |

#### disks
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-819 | Опциональное поле `ssd_size` в resource `decort_cb_disk` в cloudbroker/disks |

#### kvmvm
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-857 | Опциональное поле `depresent` в resource `decort_cb_kvmvm` в cloudbroker/kvmvm |

#### rg
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BATF-838 | Опциональное поле `register_computes` в resource `decort_cb_rg` в cloudbroker/rg и `decort_resgroup` в cloudapi/rg |
| BATF-838 | Вычисляемое поле `register_computes` в datasourses `decort_cb_rg`, `decort_cb_rg_list`, `decort_cb_rg_list_deleted` в cloudbroker/rg и `decort_resgroup`, `decort_rg_list`, `decort_rg_list_deleted` в cloudapi/rg |