/*
Пример использования
Ресурс снапшота диска
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

resource "decort_disk_snapshot" "ds" {
  #номер диска
  #обязательный параметр
  #тип - целое число
  #используется при создании
  disk_id = 20100

  #ярлык диска
  #обязательный параметр
  #тип - строка
  #используется при создании
  label = "label"

  #флаг rollback
  #опциональный параметр
  #тип - булев
  #используется при создании и обновлении
  #rollback = false
}

output "test" {
  value = decort_disk_snapshot.ds
}
