/*
Пример использования
Получение списка доступных дисков
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

data "decort_cb_dpdknet_list" "dl" {
  #фильтр по id DPDK сети
  #опциональный параметр
  #тип - целое число
  #by_id = 100

  #фильтр по grid ID
  #опциональный параметр
  #тип - целое число
  #gid = 100
 
  #фильтр по имени сети
  #опциональный параметр
  #тип - строка
  #name = "test_dpdk"

  #фильтр по описания
  #опциональный параметр
  #тип - строка
  #desc = "user"

  #фильтр по статусу
  #опциональный параметр
  #тип - строка
  #status = "ENABLED"

  #фильтр по доступным аккаунтам
  #опциональный параметр
  #тип - массив чисел
  #account_access = [11111,22222]

  #фильтр по доступным ресурсным группам
  #опциональный параметр
  #тип - массив чисел
  #rg_access = [11111,22222]

  #фильтр по compute IDs
  #опциональный параметр
  #тип - массив чисел
  #compute_ids = [11111,22222]

  #сортировка по одному из поддерживаемых полей
  #опциональный параметр
  #тип - строка
  #формат - "+поле" по возрастанию / "-поле" по убыванию
  #sort_by = "+name"

  #номер страницы для отображения
  #опциональный параметр
  #тип - целое число
  #page = 1

  #размер страницы
  #опциональный параметр
  #тип - целое число
  #size = 1
}

output "test" {
  value = data.decort_cb_dpdknet_list.dl
}
