/*
Пример использования
Получение списка текущего потребления ресурсов 
*/

#Раскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером

/*
terraform {
  required_providers {
    decort = {
      source  = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://alpha.dev.decs.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso-alpha.dev.decs.online"
  allow_unverified_ssl = true
}

data "decort_cb_rg_resource_consumption_list" "rc_list" {
  #нет входных параметров
}

output "test" {
  value = data.decort_cb_rg_resource_consumption_list.rc_list
}

