Функция доступна в провайдере версии 4.5.1 и выше.

_Data source_ функция **decort_cb_kvmvm_migrate_storage_info** служит для получения информации о последней (включая текущую) миграции хранилища.

## Аргументы

_Data source_ функция **decort_cb_kvmvm_migrate_storage_info** принимает следующие аргументы:

| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- |
| compute_id | int | :heavy_check_mark: | ID компьюта |

## Возвращаемые значения
В случае успешного выполнения _data source_ функция **decort_cb_kvmvm_migrate_storage_info** возвращает в указанную при вызове переменную следующие значения:

| Параметр | Тип | Описание                                                    |
| --- | --- |-------------------------------------------------------------|
| migrate_storage_info | string | Информация о последней (включая текущую) миграции хранилища |

## Пример использования
```terraform
data "decort_cb_kvmvm_migrate_storage_info" "info" {
  compute_id = 10154
}
```

Данный пример подразумевает, что ранее по тексту tf-файла выполнена корректная инициализация провайдера (подробнее об инициализации Terraform провайдера DECORT см. соответствующий [раздел](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.5.3/04.02-Инициализация-Terraform-провайдера-DECORT.md)). 

После успешного завершения такого вызова _data source_ функции **decort_cb_kvmvm_migrate_storage_info** в переменной `data.decort_cb_kvmvm_migrate_storage_info.info` будут сохранены возвращаемые значения.
