Платформа может располагаться на нескольких площадках(grid).  
Такие площадки имеют свой id.
Для создания некоторых ресурсов требуется ввести grid_id или gid площадки.
Получение gid различается для пользовательского и административного API.

## Получение gid для пользовательского API
Для получения gid с помощью пользовательского API, необходимо получить информацию из _data_source_ функции _decort_locations_list_, как указано ниже:
```terraform
data "decort_locations_list" "ll" {

}

output "test" {
  value = data.decort_locations_list.ll
}
```
В файл состояния будет сохранен результат, где можно посмотреть доступные для работы площадки.

## Получение gid для административного API
Для получения gid с помощью административного API, необходимо получить информацию из _data_source_ функции _decort_grid_list_, как указано ниже:
```terraform
data "decort_grid_list" "gl" {

}

output "test" {
  value = data.decort_grid_list.gl
}

```
В файл состояния будет сохранен результат, где можно посмотреть доступные для работы площадки.
