Функция доступна в провайдере версии 3.5.0 и выше.

_Data source_ функция **decort_kvmvm_get_audits** служит для получения аудитов компьюта.

## Аргументы

_Data source_ функция **decort_kvmvm_get_audits** принимает следующие аргументы:
| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- |
| compute_id | int | :heavy_check_mark: | ID компьюта |

## Возвращаемые значения
В случае успешного выполнения _data source_ функция **decort_kvmvm_get_audits** возвращает в указанную при вызове переменную, в поле _items_ массив, каждый элемент которого состоит из следующих параметров:

| Параметр | Тип | Описание |
| --- | --- | --- |
| epoch | float | Время |
| message | string | Сообщение, которое несет в себе информацию о команде и том, кто ее исполнил |

## Пример использования
```terraform
data "decort_kvmvm_get_audits" "kvmvm_get_audits" {
  #id виртуальной машины
  #обязательный параметр
  #тип - целое число
  compute_id = 10154
}
```

Данный пример подразумевает, что ранее по тексту tf-файла выполнена корректная инициализация провайдера (подробнее об инициализации Terraform провайдера DECORT см. соответствующий [раздел](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.8.0/04.02-Инициализация-Terraform-провайдера-DECORT.md)). 

После успешного завершения такого вызова _data source_ функции **decort_kvmvm_get_audits** в переменной `data.decort_kvmvm_get_audits.kvmvm_get_audits` будут сохранены возвращаемые значения.
