Функция доступна в провайдере версии 4.5.1 и выше.

_Data source_ функция **decort_cb_kvmvm_boot_order_get** служит для получения информации о текущем порядке загрузки компьюта.

## Аргументы

_Data source_ функция **decort_cb_kvmvm_boot_order_get** принимает следующие аргументы:

| Аргумент | Тип | Обязательный | Описание |
| --- | --- | --- | --- |
| compute_id | int | :heavy_check_mark: | ID компьюта |

## Возвращаемые значения
В случае успешного выполнения _data source_ функция **decort_cb_kvmvm_boot_order_get** возвращает в указанную при вызове переменную следующий параметр:

| Параметр | Тип | Описание |
| --- | --- | --- |
| boot_order | []string | Порядок загрузки |

## Пример использования
```terraform
data "decort_cb_kvmvm_boot_order_get" "order" {
  #id виртуальной машины
  #обязательный параметр
  #тип - целое число
  compute_id = 10154
}
```

Данный пример подразумевает, что ранее по тексту tf-файла выполнена корректная инициализация провайдера (подробнее об инициализации Terraform провайдера DECORT см. соответствующий [раздел](https://repository.basistech.ru/BASIS/terraform-provider-decort/src/branch/main/wiki/4.8.0/04.02-Инициализация-Terraform-провайдера-DECORT.md)). 

После успешного завершения такого вызова _data source_ функции **decort_cb_kvmvm_boot_order_get** в переменной `data.decort_cb_kvmvm_boot_order_get.order` будут сохранены возвращаемые значения. 
